GET
/
agents
/
{agentId}
/
deployments
List agent deployments
curl --request GET \
  --url https://your_salambo_base_url/api/v1/agents/{agentId}/deployments \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "object": "<string>",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "version_number": 123,
      "runtime_config": {
        "version": 123,
        "sandbox": {
          "egress": {
            "allowlist": [
              "<string>"
            ]
          },
          "workspace": {}
        },
        "telemetry": {
          "endpoint": "<string>",
          "includeContent": true
        }
      },
      "created_at": 123,
      "updated_at": 123,
      "source": {
        "kind": "<string>",
        "repository_url": "<string>",
        "repository_full_name": "<string>",
        "branch": "<string>",
        "commit_sha": "<string>",
        "commit_url": "<string>",
        "commit_message": "<string>",
        "deploy_message": "<string>"
      },
      "deployed_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_archive": {},
      "manifest": {},
      "image": {},
      "sandbox_image": {
        "base_image": {}
      },
      "failed_stage": "<string>",
      "brain_summary": {},
      "sandbox_summary": {},
      "error": {
        "code": "<string>",
        "message": "<string>"
      },
      "metadata": {},
      "finished_at": 123
    }
  ],
  "has_more": true,
  "first_id": "<string>",
  "last_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
after
string<uuid>

Response

Deployment list

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required
first_id
string | null
required
last_id
string | null
required